Loading...
Searching...
No Matches
libcamera::FrameMetadata::Plane Struct Reference

Per-plane frame metadata. More...

## Public Attributes

unsigned int | bytesused
| Number of bytes occupied by the data in the plane, including line padding.

## Detailed Description

Per-plane frame metadata.

Frames are stored in memory in one or multiple planes. The FrameMetadata::Plane structure stores per-plane metadata.

## Member Data Documentation

## bytesused

unsigned int libcamera::FrameMetadata::Plane::bytesused

Number of bytes occupied by the data in the plane, including line padding.

This value may vary per frame for compressed formats. For uncompressed formats it will be constant for all frames, but may be smaller than the FrameBuffer size.

The documentation for this struct was generated from the following files:

- include/libcamera/framebuffer.h
- src/libcamera/framebuffer.cpp